import sys
import chilkat2

glob = chilkat2.Global()
#  Any string unlocks the component for the 1st 30-days.
success = glob.UnlockBundle("Anything for 30-day trial")
if (success != True):
    print(glob.LastErrorText)
    sys.exit()


zip = chilkat2.Zip()

success = zip.NewZip("test.zip")
if (success != True):
    print(zip.LastErrorText)
    sys.exit()

recurse = False
zip.AppendFiles("*.txt",recurse)

success = zip.WriteZipAndClose()
if (success != True):
    print(zip.LastErrorText)
    sys.exit()

print("Created test.zip")
